### Eclipse Workspace Patch 1.0
#P org.jboss.tools.openshift.egit.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -8,7 +8,7 @@
  org.eclipse.egit.core;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.egit.ui;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.jgit;bundle-version="[1.0.0,2.0.0)",
- com.jcraft.jsch;bundle-version="[0.1.44,1.0.0)",
+ com.jcraft.jsch;bundle-version="[0.1.41,1.0.0)",
  org.eclipse.ui;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.core.runtime,
  org.eclipse.core.expressions;bundle-version="[3.4.300,4.0.0)",
#P org.jboss.tools.jst.web.ui
Index: src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java
===================================================================
--- src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java	(revision 42160)
+++ src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java	(working copy)
@@ -14,6 +14,7 @@
 import java.util.Arrays;
 import java.util.List;
 
+import org.eclipse.core.resources.IContainer;
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.resources.IResource;
 import org.eclipse.core.resources.IWorkspace;
@@ -21,6 +22,7 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IPath;
 import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.Preferences;
 import org.eclipse.core.runtime.content.IContentType;
@@ -29,6 +31,9 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.dialogs.WizardNewFileCreationPage;
+import org.eclipse.wst.common.componentcore.ComponentCore;
+import org.eclipse.wst.common.componentcore.ModuleCoreNature;
+import org.eclipse.wst.common.componentcore.resources.IVirtualFolder;
 import org.eclipse.wst.common.project.facet.core.IFacetedProject;
 import org.eclipse.wst.common.project.facet.core.IProjectFacet;
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
@@ -146,7 +151,14 @@
 			// if inside web project, check if inside webContent folder
 			if (project != null && isWebProject(project)) {
 				// check that the path is inside the webContent folder
-				IPath[] webContentPaths = FacetModuleCoreSupport.getAcceptableRootPaths(project);
+				IPath[] webContentPaths;
+				try {
+					webContentPaths = getAcceptableRootPaths(project);
+				}
+				catch (NoClassDefFoundError e) {
+					//ignore
+					webContentPaths = new IPath[]{project.getFullPath()};
+				}
 				boolean isPrefix = false;
 				for (int i = 0; !isPrefix && i < webContentPaths.length; i++) {
 					isPrefix |= webContentPaths[i].isPrefixOf(fullPath);
@@ -160,6 +172,26 @@
 		return true;
 	}
 
+	static IPath[] getAcceptableRootPaths(IProject project) {
+		if (!ModuleCoreNature.isFlexibleProject(project)) {
+			return new IPath[]{project.getFullPath()};
+		}
+
+		IPath[] paths = null;
+		IVirtualFolder componentFolder = ComponentCore.createFolder(project, Path.ROOT);
+		if (componentFolder != null && componentFolder.exists()) {
+			IContainer[] workspaceFolders = componentFolder.getUnderlyingFolders();
+			paths = new IPath[workspaceFolders.length];
+			for (int i = 0; i < workspaceFolders.length; i++) {
+				paths[i] = workspaceFolders[i].getFullPath();
+			}
+		}
+		else {
+			paths = new IPath[]{project.getFullPath()};
+		}
+		return paths;
+	}
+	
 	/**
 	 * Get content type associated with this new file wizard
 	 * 
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -51,7 +51,7 @@
  org.eclipse.datatools.connectivity.ui.dse;bundle-version="1.1.4",
  org.eclipse.datatools.connectivity.db.generic.ui;bundle-version="1.0.1",
  org.jboss.tools.common.el.ui,
- org.eclipse.wst.html.core;bundle-version="1.1.502"
+ org.eclipse.wst.html.core;bundle-version="1.1.500"
 Bundle-Version: 3.3.0.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ClassPath: .
#P org.jboss.tools.openshift.egit.core
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -7,7 +7,7 @@
 Require-Bundle: org.jboss.ide.eclipse.as.core;bundle-version="2.3.0",
  org.eclipse.jgit;bundle-version="1.2.0",
  org.eclipse.egit;bundle-version="1.2.0",
- com.jcraft.jsch;bundle-version="0.1.44",
+ com.jcraft.jsch;bundle-version="0.1.41",
  org.eclipse.egit.core;bundle-version="1.2.0",
  org.eclipse.team.core;bundle-version="3.6.0",
  org.eclipse.wst.server.core;bundle-version="1.1.302",
#P org.jboss.tools.portlet.feature
Index: feature.xml
===================================================================
--- feature.xml	(revision 42160)
+++ feature.xml	(working copy)
@@ -20,8 +20,8 @@
 
    <requires>
       <import feature="org.jboss.tools.seam.feature" version="3.2.0" match="greaterOrEqual"/>
-      <import feature="org.eclipse.jst.enterprise_ui.feature" version="3.3.1" match="greaterOrEqual"/>
-      <import feature="org.eclipse.jst.web_core.feature" version="3.3.1" match="greaterOrEqual"/>
+      <import feature="org.eclipse.jst.enterprise_ui.feature" version="3.3.0" match="greaterOrEqual"/>
+      <import feature="org.eclipse.jst.web_core.feature" version="3.3.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.wst.jsdt.web.core"/>
       <import plugin="org.eclipse.wst.jsdt.web.support.jsp"/>
       <import plugin="org.eclipse.wst.jsdt.web.ui"/>
#P org.jboss.tools.maven.gwt
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.3.0.qualifier
 Bundle-Activator: org.jboss.tools.maven.gwt.MavenGWTPlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.m2e.core;bundle-version="[1.0.200,1.2.0)",
+ org.eclipse.m2e.core;bundle-version="[1.0.000,1.2.0)",
  org.eclipse.core.resources;bundle-version="3.7.100",
  com.google.gwt.eclipse.core;bundle-version="2.5.0",
  org.eclipse.jdt.core;bundle-version="3.7.0",
#P org.jboss.tools.forge.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -18,9 +18,9 @@
  org.jboss.tools.forge.core;bundle-version="1.0.0",
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  org.eclipse.ui.navigator;bundle-version="3.5.100",
- org.eclipse.rse.ui;bundle-version="3.2.1",
- org.eclipse.rse.core;bundle-version="3.2.1",
- org.eclipse.rse.subsystems.files.core;bundle-version="3.2.101",
+ org.eclipse.rse.ui;bundle-version="3.2.0",
+ org.eclipse.rse.core;bundle-version="3.2.0",
+ org.eclipse.rse.subsystems.files.core;bundle-version="3.2.100",
  org.eclipse.rse.subsystems.files.local;bundle-version="2.1.200",
  org.eclipse.core.expressions;bundle-version="3.4.300"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
#P org.jboss.ide.eclipse.as.core
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -25,7 +25,7 @@
  org.eclipse.pde.core;bundle-version="3.7.0",
  org.eclipse.jst.j2ee.web;bundle-version="1.1.500",
  org.jboss.ide.eclipse.as.management.core,
- org.eclipse.equinox.security;bundle-version="1.1.1",
+ org.eclipse.equinox.security;bundle-version="1.1.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.ide.eclipse.as.core,
Index: jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java
===================================================================
--- jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java	(revision 42160)
+++ jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java	(working copy)
@@ -15,13 +15,17 @@
 import java.util.regex.Pattern;
 import java.util.regex.PatternSyntaxException;
 
+import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.Status;
+import org.eclipse.jst.j2ee.componentcore.util.EARArtifactEdit;
+import org.eclipse.jst.j2ee.project.JavaEEProjectUtilities;
 import org.eclipse.jst.j2ee.project.WebUtilities;
 import org.eclipse.jst.server.core.IWebModule;
+import org.eclipse.wst.common.componentcore.internal.util.ComponentUtilities;
 import org.eclipse.wst.server.core.IModule;
 import org.eclipse.wst.server.core.IRuntime;
 import org.eclipse.wst.server.core.IServerWorkingCopy;
@@ -185,13 +189,31 @@
 	}
 	public URL getModuleRootURL(IModule[] module) {
 		if( module.length == 2) {
-			String contextRoot = WebUtilities.getServerContextRoot(module[1].getProject(),
+			String contextRoot = getServerContextRoot(module[1].getProject(),
 					module[0].getProject());
 			return getModuleRootURL(module[1], getServer().getHost(), getWebPort(), contextRoot);
 		} else {
 			return module.length > 0 ? getModuleRootURL(module[0]) : null;
 		}
 	}
+	
+	public static String getServerContextRoot(IProject webProject,IProject earProject) {
+    	String contextRoot = null;
+    	if (earProject == null || !JavaEEProjectUtilities.deploymentDescriptorExists(earProject))
+    		return ComponentUtilities.getServerContextRoot(webProject);
+    	else if (JavaEEProjectUtilities.isEARProject(earProject) && JavaEEProjectUtilities.isDynamicWebProject(webProject)) {
+    		EARArtifactEdit edit = null;
+    		try {
+    			edit = EARArtifactEdit.getEARArtifactEditForRead(earProject);
+    			contextRoot = edit.getWebContextRoot(webProject);
+    		} finally {
+    			if (edit!=null)
+    				edit.dispose();
+    		}
+    	}
+    	return contextRoot;
+    }
+
 	public URL getModuleRootURL(IModule module, String contextRoot) {
 		return getModuleRootURL(module, getServer().getHost(), getWebPort(), contextRoot);
 	}
#P org.jboss.tools.maven.sourcelookup.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -8,7 +8,7 @@
  org.eclipse.core.runtime,
  org.jboss.tools.maven.sourcelookup.core;bundle-version="1.0.0",
  org.eclipse.debug.ui;bundle-version="3.7.0",
- org.eclipse.jdt.ui;bundle-version="3.7.1"
+ org.eclipse.jdt.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-Vendor: %BundleVendor
#P org.jboss.tools.ws.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -11,12 +11,12 @@
  org.jboss.tools.ws.core,
  org.eclipse.ui.ide;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
- org.eclipse.jdt.core;bundle-version="3.7.1",
- org.eclipse.jst.j2ee;bundle-version="1.1.501",
+ org.eclipse.jdt.core;bundle-version="3.7.0",
+ org.eclipse.jst.j2ee;bundle-version="1.1.500",
  org.eclipse.jem.util;bundle-version="2.1.100",
  org.jboss.tools.ws.creation.core,
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
- org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
+ org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.100",
  org.jboss.tools.common.ui,
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  org.eclipse.wst.common.project.facet.ui;bundle-version="1.4.200",
@@ -24,13 +24,13 @@
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  com.ibm.icu,
  org.eclipse.wst.internet.monitor.core;bundle-version="1.0.505",
- org.eclipse.wst.internet.monitor.ui;bundle-version="1.0.507",
+ org.eclipse.wst.internet.monitor.ui;bundle-version="1.0.506",
  javax.wsdl;bundle-version="1.6.2",
  org.jdom,
  org.eclipse.ui.forms;bundle-version="3.5.100",
  org.eclipse.emf.common;bundle-version="2.7.0",
- org.eclipse.jdt.ui;bundle-version="3.7.1",
- org.eclipse.osgi;bundle-version="3.7.1",
+ org.eclipse.jdt.ui;bundle-version="3.7.0",
+ org.eclipse.osgi;bundle-version="3.7.0",
  org.eclipse.jst.ws.annotations.core;bundle-version="1.1.0",
  org.apache.commons.codec;bundle-version="1.3.0",
  org.apache.commons.discovery;bundle-version="[0.2.0,1.0.0)",
#P org.jboss.tools.common.mylyn
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -6,11 +6,11 @@
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.jboss.tools.common.mylyn,
- org.eclipse.mylyn;bundle-version="3.6.5",
+ org.eclipse.mylyn;bundle-version="3.6.0",
  org.eclipse.mylyn.commons.core;bundle-version="3.6.0",
- org.eclipse.mylyn.commons.ui;bundle-version="3.6.1",
- org.eclipse.mylyn.tasks.core;bundle-version="3.6.1",
- org.eclipse.mylyn.tasks.ui;bundle-version="3.6.5",
+ org.eclipse.mylyn.commons.ui;bundle-version="3.6.0",
+ org.eclipse.mylyn.tasks.core;bundle-version="3.6.0",
+ org.eclipse.mylyn.tasks.ui;bundle-version="3.6.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  com.atlassian.connector.eclipse.commons.core;bundle-version="3.0.2";resolution:=optional,
  com.atlassian.connector.eclipse.commons.ui;bundle-version="3.0.2";resolution:=optional,
#P org.jboss.tools.ws.core
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -8,20 +8,17 @@
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
  org.eclipse.core.resources;bundle-version="3.7.0",
- org.eclipse.jst.ws;bundle-version="1.0.509",
+ org.eclipse.jst.ws;bundle-version="1.0.508",
  org.eclipse.jdt.core;bundle-version="3.7.0",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.jsf.core;bundle-version="1.3.105",
+ org.eclipse.jdt.launching;bundle-version="3.6.0",
+ org.eclipse.jst.jsf.core;bundle-version="1.3.5",
  org.eclipse.jst.jsf.ui;bundle-version="1.3.2",
- org.eclipse.wst.common.modulecore;bundle-version="1.2.101",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.jsf.core;bundle-version="1.3.105",
+ org.eclipse.wst.common.modulecore;bundle-version="1.2.100",
  org.eclipse.jst.jsf.ui;bundle-version="1.3.2",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.j2ee;bundle-version="1.1.501",
- org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.401",
+ org.eclipse.jst.j2ee;bundle-version="1.0.401",
+ org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.400",
  org.jboss.ide.eclipse.as.classpath.core;bundle-version="2.3.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %PLUGIN_PROVIDER
#P org.jboss.tools.openshift.express.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -12,7 +12,7 @@
  org.eclipse.egit.ui;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.egit.core;bundle-version="[1.1.0,2.0.0)",
  org.eclipse.jgit;bundle-version="[1.1.0,2.1.0)",
- com.jcraft.jsch;bundle-version="0.1.44",
+ com.jcraft.jsch;bundle-version="0.1.41",
  org.eclipse.jsch.core;bundle-version="[1.1.300,2.0.0)",
  org.jboss.ide.eclipse.as.core;bundle-version="2.3.0",
  org.eclipse.m2e.core;bundle-version="1.0.100",
@@ -35,16 +35,15 @@
  org.eclipse.ui.navigator;bundle-version="3.5.100",
  org.eclipse.ui.console;bundle-version="3.5.100",
  org.eclipse.core.expressions;bundle-version="3.4.300",
- org.eclipse.wst.common.modulecore;bundle-version="1.2.101",
  org.jboss.ide.eclipse.as.wtp.core;bundle-version="2.3.0",
  org.eclipse.ui.forms;bundle-version="3.5.100",
  org.eclipse.jface.text;bundle-version="3.7.0",
  org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
  org.jboss.ide.eclipse.archives.webtools;bundle-version="2.3.0",
- org.eclipse.equinox.security;bundle-version="1.1.1",
+ org.eclipse.equinox.security;bundle-version="1.1.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0",
  org.eclipse.jsch.ui;bundle-version="1.1.300",
- org.eclipse.jdt.debug.ui;bundle-version="3.6.1",
+ org.eclipse.jdt.debug.ui;bundle-version="3.6.0",
  org.jboss.tools.common.ui;bundle-version="3.3.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
#P org.jboss.tools.ws.creation.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -9,23 +9,23 @@
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.core.resources;bundle-version="3.7.0",
- org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.401",
+ org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.400",
  org.eclipse.wst.ws;bundle-version="1.1.203",
  org.eclipse.wst.common.environment;bundle-version="1.0.400",
  org.eclipse.wst.command.env.core;bundle-version="1.0.205",
  org.eclipse.emf.common;bundle-version="2.7.0",
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
  org.eclipse.wst.command.env.ui;bundle-version="1.1.103",
- org.eclipse.jst.ws;bundle-version="1.0.509",
+ org.eclipse.jst.ws;bundle-version="1.0.508",
  org.eclipse.wst.command.env;bundle-version="1.0.409",
- org.eclipse.jdt.core;bundle-version="3.7.1",
+ org.eclipse.jdt.core;bundle-version="3.7.0",
  org.eclipse.jst.ws.ui;bundle-version="1.0.403",
  org.jboss.tools.ws.creation.core,
  org.jboss.tools.ws.core,
  org.eclipse.jst.ws.creation.ui;bundle-version="1.0.609",
- org.eclipse.wst.common.modulecore;bundle-version="1.2.101",
+ org.eclipse.wst.common.modulecore;bundle-version="1.2.100",
  org.jboss.tools.ws.ui,
- org.eclipse.jdt.ui;bundle-version="3.7.1"
+ org.eclipse.jdt.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.tools.ws.creation.ui.wsrt
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
#P org.jboss.tools.ws.jaxrs.core
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -26,8 +26,7 @@
  org.eclipse.core.resources;bundle-version="3.5.1";visibility:=reexport,
  org.eclipse.jst.j2ee;bundle-version="1.1.301";visibility:=reexport,
  org.eclipse.emf.ecore;bundle-version="2.5.0";visibility:=reexport,
- org.eclipse.wst.common.frameworks.ui;bundle-version="1.1.301",
- org.eclipse.jface.text;bundle-version="3.7.1"
+ org.eclipse.wst.common.frameworks.ui;bundle-version="1.1.301"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: javax.ws.rs,
#P org.jboss.tools.maven.configurators.tests
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -30,7 +30,7 @@
  org.eclipse.m2e.lifecyclemapping.defaults;bundle-version="[1.0.0,1.2.0)",
  org.eclipse.m2e.launching;bundle-version="[1.0.0,1.2.0)",
  org.eclipse.m2e.tests.common;bundle-version="[1.0.0,1.2.0)",
- org.eclipse.jpt.jpa.core;bundle-version="3.0.1",
+ org.eclipse.jpt.jpa.core;bundle-version="3.0.0",
  org.eclipse.jpt.common.core,
  org.eclipse.jpt.common.utility,
  org.jboss.tools.cdi.core,
#P org.jboss.tools.openshift.express.client
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -14,5 +14,5 @@
 Export-Package: com.openshift.client,
  com.openshift.client.configuration,
  com.openshift.client.utils
-Require-Bundle: com.jcraft.jsch;bundle-version="0.1.44"
+Require-Bundle: com.jcraft.jsch;bundle-version="0.1.41"
 Import-Package: org.jboss.dmr
#P org.jboss.tools.maven.core
Index: src/org/jboss/tools/maven/core/ProjectUtil.java
===================================================================
--- src/org/jboss/tools/maven/core/ProjectUtil.java	(revision 42160)
+++ src/org/jboss/tools/maven/core/ProjectUtil.java	(working copy)
@@ -125,7 +125,7 @@
 	    IPath filePath = new Path(path);
 	    IVirtualFolder root = component.getRootFolder();
 	    IContainer[] underlyingFolders = root.getUnderlyingFolders();
-	    IPath defaultDDFolderPath = J2EEModuleVirtualComponent.getDefaultDeploymentDescriptorFolder(root);
+	    IPath defaultDDFolderPath = null; //J2EEModuleVirtualComponent.getDefaultDeploymentDescriptorFolder(root);
 	    for (IContainer underlyingFolder : underlyingFolders) {
 	      if (defaultDDFolderPath ==null || !defaultDDFolderPath.equals(underlyingFolder.getProjectRelativePath())) {
 	    	  IPath p = underlyingFolder.getProjectRelativePath().append(filePath);
#P org.jboss.tools.ws.jaxrs.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -34,9 +34,9 @@
  org.eclipse.core.commands;bundle-version="3.6.0",
  org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
  org.eclipse.wst.validation;bundle-version="1.2.300",
- org.eclipse.wst.server.core;bundle-version="1.1.303",
+ org.eclipse.wst.server.core;bundle-version="1.1.302",
  org.eclipse.debug.core;bundle-version="3.7.0",
- org.eclipse.debug.ui;bundle-version="3.7.101"
+ org.eclipse.debug.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .
#P org.jboss.tools.common.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -30,7 +30,7 @@
  org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
  org.eclipse.jpt.common.core;bundle-version="1.0.0",
  org.eclipse.ltk.ui.refactoring;bundle-version="3.6.0",
- org.eclipse.wst.server.ui;bundle-version="1.3.0",
+ org.eclipse.wst.server.ui;bundle-version="1.1.305",
  org.eclipse.jdt.junit;bundle-version="3.7.0"
 Export-Package: org.jboss.tools.common.ui,
  org.jboss.tools.common.ui.databinding,
#P org.jboss.tools.jsf.feature
Index: feature.xml
===================================================================
--- feature.xml	(revision 42160)
+++ feature.xml	(working copy)
@@ -22,7 +22,7 @@
       <import feature="org.jboss.tools.common.feature" version="3.3.0" match="greaterOrEqual"/>
       <import feature="org.jboss.tools.jst.feature" version="3.3.0" match="greaterOrEqual"/>
       <import feature="org.jboss.tools.vpe.feature" version="3.3.0" match="greaterOrEqual"/>
-      <import feature="org.eclipse.wst.web_ui.feature" version="3.3.2" match="greaterOrEqual"/>
+      <import feature="org.eclipse.wst.web_ui.feature" version="3.3.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
#P org.jboss.tools.ws.creation.core
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -7,39 +7,39 @@
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
  org.eclipse.wst.ws;bundle-version="1.1.203",
  org.eclipse.core.resources;bundle-version="3.7.1",
- org.eclipse.jst.ws;bundle-version="1.0.509",
+ org.eclipse.jst.ws;bundle-version="1.0.508",
  org.eclipse.jem.util;bundle-version="2.1.100",
  org.jboss.tools.ws.core,
- org.eclipse.wst.wsdl;bundle-version="1.2.202",
+ org.eclipse.wst.wsdl;bundle-version="1.2.201",
  org.eclipse.wst.command.env.core;bundle-version="1.0.205",
  org.eclipse.wst.command.env;bundle-version="1.0.409",
  org.apache.ant;bundle-version="[1.8.2,1.9.0)",
  org.apache.xerces;bundle-version="[2.9.0,3.0.0)",
- org.eclipse.jst.j2ee;bundle-version="1.1.501";visibility:=reexport,
- org.eclipse.jst.j2ee.core;bundle-version="1.2.101";visibility:=reexport,
+ org.eclipse.jst.j2ee;bundle-version="1.1.500";visibility:=reexport,
+ org.eclipse.jst.j2ee.core;bundle-version="1.2.100";visibility:=reexport,
  org.eclipse.jst.jee;bundle-version="1.0.401",
  org.eclipse.emf.common;bundle-version="2.7.0",
  org.eclipse.emf.ecore;bundle-version="2.7.0",
- org.eclipse.jdt.core;bundle-version="3.7.1",
- org.eclipse.jface.text;bundle-version="3.7.1",
+ org.eclipse.jdt.core;bundle-version="3.7.0",
+ org.eclipse.jface.text;bundle-version="3.7.0",
  org.eclipse.core.filebuffers;bundle-version="3.5.200",
- org.eclipse.jdt.ui;bundle-version="3.7.1",
+ org.eclipse.jdt.ui;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
- org.eclipse.wst.server.core;bundle-version="1.1.303",
+ org.eclipse.wst.server.core;bundle-version="1.1.302",
  org.eclipse.jem.util;bundle-version="2.1.100",
  org.jboss.tools.common,
  org.jboss.ide.eclipse.as.classpath.core,
  org.eclipse.jst.server.core;bundle-version="1.2.202",
- org.eclipse.jdt;bundle-version="3.7.1",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
+ org.eclipse.jdt;bundle-version="3.7.0",
+ org.eclipse.jdt.launching;bundle-version="3.6.0",
  org.eclipse.debug.core;bundle-version="3.7.0",
  org.eclipse.jst.jee.web;bundle-version="1.0.301",
  javax.wsdl;visibility:=reexport,
  org.eclipse.jst.ws.annotations.core;bundle-version="1.1.0",
- org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.101"
+ org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.100"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.tools.ws.creation.core,
  org.jboss.tools.ws.creation.core.commands,
#P org.jboss.ide.eclipse.as.test
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -43,7 +43,7 @@
  org.eclipse.jst.jsf.core,
  org.eclipse.jpt.jpa.core,
  org.jboss.ide.eclipse.as.management.core;bundle-version="1.0.0",
- org.eclipse.equinox.security;bundle-version="1.1.1"
+ org.eclipse.equinox.security;bundle-version="1.1.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-Localization: plugin
#P org.jboss.tools.deltacloud.test
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -9,7 +9,6 @@
  org.jboss.tools.common;bundle-version="[3.2.0,4.0.0)",
  org.jboss.tools.deltacloud.core;bundle-version="[1.0.0,2.0.0)",
  org.jboss.tools.deltacloud.ui;bundle-version="0.1.0",
- org.junit;bundle-version="[4.8.0,5.0.0)",
- org.junit.source;bundle-version="4.8.2"
+ org.junit;bundle-version="[4.8.0,5.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Import-Package: org.jboss.tools.common.ui.preferencevalue
#P org.jboss.tools.openshift.express.test
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -10,5 +10,5 @@
  org.eclipse.core.resources;bundle-version="[3.7.100,4.0.0)",
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  org.junit;bundle-version="[4.8.2,5.0.0)",
- com.jcraft.jsch;bundle-version="[0.1.44,1.0.0)"
+ com.jcraft.jsch;bundle-version="[0.1.41,1.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
#P org.jboss.ide.eclipse.as.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -58,7 +58,7 @@
  org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.100",
  org.jboss.ide.eclipse.as.management.core;bundle-version="1.0.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0",
- org.eclipse.ui.browser;bundle-version="3.3.101"
+ org.eclipse.ui.browser;bundle-version="3.3.100"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.ide.eclipse.as.ui,
  org.jboss.ide.eclipse.as.ui.actions,
#P org.jboss.tools.vpe.feature
Index: feature.xml
===================================================================
--- feature.xml	(revision 42160)
+++ feature.xml	(working copy)
@@ -69,4 +69,12 @@
          version="0.0.0"
          unpack="false"/>
 
+   <plugin
+         id="org.jboss.tools.xulrunner.initializer"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         fragment="true"
+         unpack="false"/>
+
 </feature>
#P org.jboss.tools.maven.ui
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -17,7 +17,7 @@
  org.eclipse.jface.text,
  org.eclipse.jdt.ui;bundle-version="3.7.0",
  org.eclipse.jdt;bundle-version="3.7.0",
- org.eclipse.compare;bundle-version="3.5.202"
+ org.eclipse.compare;bundle-version="3.5.200"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Vendor: %Bundle-Vendor
#P org.jboss.tools.project.examples
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 42160)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -40,7 +40,7 @@
  org.eclipse.mylyn.discovery.core;bundle-version="3.6.0",
  org.eclipse.mylyn.commons.ui;bundle-version="[3.6.0,3.8.0)",
  org.apache.commons.lang;bundle-version="2.4.0",
- org.eclipse.jdt.ui;bundle-version="3.7.1"
+ org.eclipse.jdt.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Localization: plugin
 Export-Package: org.jboss.tools.project.examples,

